# $Revision: 1.46 $, $Date: 2002/08/17 21:02:11 $
Summary:	GIF-manipulation library
Summary(es):	Biblioteca de manipulacin de archivos GIF
Summary(pl):	Biblioteka do obrbki plikw GIF
Summary(pt_BR):	Biblioteca de manipulao de arquivos GIF
Summary(ru):	    GIF-
Summary(uk):	̦    GIF-
Name:		libungif
Version:	4.1.0b1
%define		so_ver	4.1.0
Release:	14
License:	X Consortium-like
Group:		Libraries
Source0:	ftp://prtr-13.ucsc.edu/pub/libungif/%{name}/%{name}-%{version}.tar.gz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Patch0:		%{name}-stdarg.patch
Patch1:		%{name}-CVS.patch
URL:		http://prtr-13.ucsc.edu/~badger/software/libungif/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	netpbm-devel
BuildRequires:	urt-devel
Provides:	libgif.so.4
Provides:	giflib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	giflib
Obsoletes:	libungif4

%description
GIF loading and saving shared library. (Saving uses an uncompressed
gif algorithm that does not use LZW compression.)

%description -l es
Es una biblioteca compartida para carga y grabacin de archivos GIF.
La grabacin no usa un algoritmo que no usa la compresin LZW.

%description -l pl
Biblioteki dynamiczne do kompresowania i dekompresowania plikw w
formacie GIF.

%description -l pt_BR
Biblioteca compartilhada para carga e gravao de arquivos GIF. A
gravao no usa um algoritmo que no usa a compresso LZW.

%description -l ru
     GIF-. (
  gif-,  
 LZW).

%description -l uk
̦     GIF-̦. (
դ  gif-,   դ
Ӧ LZW).

%package devel
Summary:	GIF-manipulation library header files and documentation.
Summary(es):	Archivos de inclusin, bibliotecas para biblioteca de manipulacin de GIF
Summary(pl):	Pliki nagwkowe oraz dokumentacja do formatu GIF
Summary(pt_BR):	Arquivos de incluso, bibliotecas para biblioteca de manipulao de GIF
Summary(ru):	,    GIF-
Summary(uk):	, ¦̦  æ GIF-¦̦
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	giflib-devel
Provides:	libgif.so
Obsoletes:	giflib-devel
Obsoletes:	libungif4-devel

%description devel
Libraries and headers needed for developing programs that use libungif
to load and save gif image files.

%description devel -l es
Archivos de inclusin, bibliotecas y documentacin para biblioteca de
manipulacin de GIF

%description devel -l pl
Biblioteki i pliki nagwkowe niezbdne przy kompilacji programw
wykorzystujcych libgif.

%description devel -l pt_BR
Arquivos de incluso, bibliotecas para biblioteca de manipulao de
GIF

%description devel -l ru
  ,    , 
%{pkg_name}        GIF.

%description devel -l uk
  ¦̦, ȦΦ   , 
 %{pkg_name}      
Ԧ GIF.

%package static
Summary:	GIF-manipulation static library.
Summary(pl):	Biblioteki statyczne do obrbki plikw GIF
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libungif
Summary(ru):	  GIF-
Summary(uk):	Φ ¦̦ GIF-¦̦
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Provides:	giflib-static
Obsoletes:	giflib-static

%description static
Static libraries needed for developing programs that use libungif to
load and save gif image files.

%description static -l pl
Biblioteki statyczne do obrbki plikw GIF.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com libungif.

%description static -l ru
     ,   
  libungif-devel.

%description static -l uk
   ڦ  ¦̦,  ¦   
 libungif-devel.

%package progs
Summary:	Programs for converting and transforming gif images
Summary(pl):	Programy do konwertowania plikw w formacie GIF
Summary(ru):	     GIF-
Summary(uk):	     GIF-̦
Group:		Applications/Graphics
Requires:	%{name} = %{version}
Provides:	giflib-progs
Obsoletes:	giflib-progs

%description progs
This package contains various programs for manipulating gif image
files.

%description progs -l pl
Ten pakiet zawiera rnorodne programy obsugujce pliki w formacie
GIF.

%description progs -l ru
       GIF-.

%description progs -l uk
  ͦ ҦΦΦ    GIF-̦.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -fwritable-strings"; export CFLAGS
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR="$RPM_BUILD_ROOT" install

ln -sf libungif.so.%{so_ver} $RPM_BUILD_ROOT%{_libdir}/libgif.so.%{so_ver}
ln -sf libungif.so.%{so_ver} $RPM_BUILD_ROOT%{_libdir}/libgif.so.4
ln -sf libungif.so.%{so_ver} $RPM_BUILD_ROOT%{_libdir}/libgif.so
ln -sf libungif.a $RPM_BUILD_ROOT%{_libdir}/libgif.a
ln -sf libungif.la $RPM_BUILD_ROOT%{_libdir}/libgif.la

install -d $RPM_BUILD_ROOT%{_mandir}
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO UNCOMPRESSED_GIF
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/libgif.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/*.{txt,png} doc/{gif_lib,index,liberror}.html
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%doc doc/gif2* doc/gif[a-z]* doc/*2gif*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libungif.spec,v $
Revision 1.46  2002/08/17 21:02:11  qboosh
- more Obsoletes for giflib, release 14

Revision 1.45  2002/08/16 21:45:25  qboosh
- fixed doc, added missing manuals, removed English "es" desciption etc.
- release 13

Revision 1.44  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.43  2002/05/22 15:11:40  kloczek
- libungif4{,-devel} added to Obsoletes fro allow upgrade from MDK,
- merge translations from KSI and Conectiva,
- use new %dos packing infrastructure,
- added "rm -f missing" in top %build.

Revision 1.42  2002/05/21 23:14:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/05/16 06:26:07  filon
- added -fwritable-strings to CFLAGS (it fixes a libungif bug)
- release 12

Revision 1.40  2002/04/24 22:15:36  ankry
- BR: urt-devel (to build gif2rle / rle2gif)
- added some man-pages from Debian
- release 11, stbr

Revision 1.39  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.38  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/09/28 02:59:24  kloczek
- bump release to 10.

Revision 1.34  2001/09/26 12:09:19  qboosh
- adapterized, BuildRequires: autoconf, automake

Revision 1.33  2001/02/16 03:12:29  kloczek
- typo.

Revision 1.32  2001/02/16 03:11:40  kloczek
- release 4: merge stdarg, CVS patches from rawhide.

Revision 1.31  2001/02/15 00:34:24  qboosh
- fixed libgif* symlinks
- some fixes in pl translations
- added -a -c to automake
- moved progs doc from devel to progs subpackage
- release 3

Revision 1.30  2001/01/04 09:18:52  kloczek
- release 2,
- s#libgr-devel#netpbm-devel# in BuildRequires rules.

Revision 1.29  2001/01/02 06:47:12  kloczek
- updated to 4.1.0b1,
- move all %doc to devel,
- new URL and Source url,
- removed obsoleted colormap patch.

Revision 1.28  2000/09/27 16:19:02  kloczek
- release 7: adapterized and added using rpm new automatiom.

Revision 1.27  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.22  1999/11/21 18:52:34  bszx
Added libungif-colormap.patch which fix bug in DGifGetImageDesc

Revision 1.21  1999/10/02 22:12:42  kloczek
- removed dumb Patch0.

Revision 1.20  1999/10/02 17:33:49  kloczek
- release 6,
- fix library dependences bug: included lt* scriptsc are old and not
  correctly complet library dependences for libungif; fixed by runing
  "libtoolize --copy --force" before starting building package.
- added libtool to BuildRequires.

Revision 1.19  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Artur Frysiak <wiget@pld.org.pl>
  [4.1.0-5]
- based on RH spec
- rewrite to PLD style
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org> and
  Micha Kuratczyk <kura@pld.org.pl>
